<h3>
  Article
</h3>
  <div class="panel panel-default">
    <div class="panel-heading">
      <h3 id="article" data-article-id="<%= @article.id %>" ><%= @article.title %></h3>
      <p >
       <span style="float: right; margin-right: 20px;position: relative; bottom: 10px;"> Posted On: <%= @article.created_at.strftime('%a %d %b %Y')%></span>
        <span style="float: left; margin-left: 2px;position: relative; bottom: 10px;"> Author: <%= @article.author %></span>
      </p>
    </div>
    <div class="panel-body">
      <%= @article.body %>
    </div>
    <div class="panel-body">
        <%= link_to "Comments", "#" %>
        <ul id="comment_list" class="list-group">
          <% @article.comments.each do |comment | %>
            <li class="list-group-item" id='<%="comment_#{comment.id}"%>'>
                <span class="badge">
                <%= link_to "Remove", comment,method: "delete",remote: true %>
                </span> 
                <%= comment.body %> 
              </li>

          <% end %>
        </ul>
        <%= form_for(@article.comments.build ,remote: true,role: "form",:class=>"form-inline" ) do |f| %>
            <div class="form-group">
              <%= f.text_field :body ,placeholder: "Your comment...",:require=>true,:class=>"comment_body form-control"%>
            </div>
             <%= f.hidden_field :article_id %>
             <%= f.hidden_field :user_id %>
             <%= f.hidden_field :parent %>
             <%= f.submit "comment",:class=>'btn btn-default'%>
           
          <% end %>

    </div>
     <div class="panel-footer">
      <% if user_signed_in? && current_user == @article.user %>
        <%= link_to 'Edit', edit_article_path(@article) %> |
      <% end %> 
      <%= link_to "Back",@article.megazine %>    
    </div>
  </div>






